From c22f0fcf3eb1eb76298874d6143b1acc42ee208c Mon Sep 17 00:00:00 2001
From: jcambon <jcambon@localhost>
Date: Thu, 09 Apr 2009 10:08:41 +0000
Subject: [PATCH] Fix for issue #3814 : start-ds script return before server has started
---
opends/resource/bin/start-ds | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/opends/resource/bin/start-ds b/opends/resource/bin/start-ds
index 3ca2128..5f1ea84 100755
--- a/opends/resource/bin/start-ds
+++ b/opends/resource/bin/start-ds
@@ -23,7 +23,7 @@
# CDDL HEADER END
#
#
-# Copyright 2006-2008 Sun Microsystems, Inc.
+# Copyright 2006-2009 Sun Microsystems, Inc.
# Capture the current working directory so that we can change to it later.
@@ -109,10 +109,10 @@
if test ${EC} -eq 99
then
"${OPENDS_JAVA_BIN}" -Xms8M -Xmx8M org.opends.server.tools.WaitForFileDelete \
- --targetFile "${STARTING_FILE}" --logFile "${LOG_FILE}"
+ --targetFile "${STARTING_FILE}" --logFile "${LOG_FILE}" "${@}"
else
"${OPENDS_JAVA_BIN}" -Xms8M -Xmx8M org.opends.server.tools.WaitForFileDelete \
- --targetFile "${STARTING_FILE}"
+ --targetFile "${STARTING_FILE}" "${@}"
fi
EC=${?}
if test ${EC} -eq 0
@@ -130,7 +130,7 @@
exit 1
fi
fi
- exit ${?}
+ exit ${EC}
else
if test ${EC} -eq 100
then
--
Gitblit v1.10.0